Bug 1031617 - [amqp1.0] unable to declare node durable using 0-10 syntax
[amqp1.0] unable to declare node durable using 0-10 syntax
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
Development
Unspecified Unspecified
medium Severity medium
: 3.0
: ---
Assigned To: Gordon Sim
Petr Matousek
:
Depends On:
Blocks: 1010399
  Show dependency treegraph
 
Reported: 2013-11-18 06:57 EST by Petr Matousek
Modified: 2015-01-21 07:56 EST (History)
4 users (show)

See Also:
Fixed In Version: qpid-cpp-0.22-27
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-21 07:56:28 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Apache JIRA QPID-5354 None None None Never

  None (edit)
Description Petr Matousek 2013-11-18 06:57:23 EST
Description of problem:

It is no longer possible to declare the node to be durable over amqp1.0 using the amqp0-10 address string syntax. This is a regression (introduced by update  from 0.22-23 to 0.22-25) and it breaks the backwards compatibility of the address string.

It is still possible to define the node to be durable using amqp1.0 syntax:
# spout --connection-options "{  protocol : 'amqp1.0'}" "q10;{create:always, node: {properties: {durable: True}}}"

Version-Release number of selected component (if applicable):
qpid-cpp-*-0.22-26

How reproducible:
100%

Steps to Reproduce:
1. spout --connection-options "{  protocol : 'amqp1.0'}" "q10;{create:always, node: {durable: True}}"
2. list the queue properties, the queue is not durable

Actual results:
Unable to declare durable queue over amqp1.0 using 0-10 syntax

Expected results:
Queue may be declared durable over amqp1.0 using 0-10 syntax

Additional info:

# $cppapi/spout --connection-options "{  protocol : 'amqp1.0'}" "q10;{create:always, node: {durable: True}}"
# $cppapi/spout --connection-options "{  protocol : 'amqp0-10'}" "q010;{create:always, node: {durable: True}}"
# qpid-config queues
Queue Name                                Attributes
=================================================================
f63be70c-71cd-4105-873a-30ca5fd73b70:0.0  auto-del excl 
q010                                      --durable 
q10
Comment 1 Gordon Sim 2013-11-18 07:44:20 EST
Fixed upstream: https://svn.apache.org/r1543018
Comment 2 Petr Matousek 2013-11-25 03:47:12 EST
This issue has been fixed. Verified on rhel6.5 (i386, x86_64).

packages used for testing:
qpid-cpp-*-0.22-29.el6

-> VERIFIED

Note You need to log in before you can comment on or make changes to this bug.